Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516533 - CVE-2017-15923 konversation: Denial of service while parsing IRC color formatting codes [epel-all]
Summary: CVE-2017-15923 konversation: Denial of service while parsing IRC color format...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: konversation
Version: epel7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 20:35 UTC by Pedro Sampaio
Modified: 2018-02-14 17:01 UTC (History)
4 users (show)

Fixed In Version: konversation-1.5.1-4.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-14 17:01:42 UTC


Attachments (Terms of Use)
Amended patch for CVE-2017-15923 that applies cleanly to current EPEL7 konversation SRPM (deleted)
2018-01-20 01:09 UTC, Trevor Hemsley
no flags Details | Diff
Change to spec file to incorporate patch (deleted)
2018-01-20 01:12 UTC, Trevor Hemsley
no flags Details | Diff
konversation 1.7.4 from Fedora also builds with this pach (deleted)
2018-01-21 13:31 UTC, Trevor Hemsley
no flags Details | Diff

Description Pedro Sampaio 2017-11-22 20:35:47 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 Pedro Sampaio 2017-11-22 20:35:53 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1516531,1516533

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Trevor Hemsley 2018-01-20 01:09:41 UTC
Created attachment 1383642 [details]
Amended patch for CVE-2017-15923 that applies cleanly to current EPEL7 konversation SRPM

Minor change required over the patch for this as published by the konversation authors in https://cgit.kde.org/konversation.git/commit/?h=1.7&id=6a7f59ee1b9dbc6e5cf9e5f3b306504d02b73ef0 and that is to amend the patch to commit.h to check for 4223 not for 4224 in the #define. Checked with konversation authors on #konversation on freenode IRC.

[00:59:29] <argonel> TrevorH: thats fine, the commit number is unimportant for that scenario
[01:02:55] [Whois] argonel is argonel@konversation/developer/argonel (argonel)

Comment 3 Trevor Hemsley 2018-01-20 01:12:34 UTC
Created attachment 1383643 [details]
Change to spec file to incorporate patch

Patch to existing spec file. Rebuilt using mock on CentOS 7.4 and resulting package installs and runs and appears functional.

Comment 4 Trevor Hemsley 2018-01-21 13:31:39 UTC
Created attachment 1383926 [details]
konversation 1.7.4 from Fedora also builds with this pach

Another way to fix this would be to rebase to 1.7.4 and that also appears to build on CentOS 7.4 - that surprised me. Minor amendment to the fedora 25 spec file attached. Rebuilt with mock again, installs cleanly, runs and appears to work. Tested that help works since that looks like the portion affected by the patch I have attached and all looks fine. Since konversation 1.5.1 is on life support, this might be a better update path.

Comment 5 Rex Dieter 2018-01-23 21:43:51 UTC
Moving to the newer (supported) version is appealing, but I think in the short-term at least, I'll opt to stick with just patching 1.5.1 is you originally proposed.  Thanks for your help looking into this.

Comment 6 Fedora Update System 2018-01-23 22:02:24 UTC
konversation-1.5.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-dd0bc449d7

Comment 7 Fedora Update System 2018-01-25 07:43:00 UTC
konversation-1.5.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-dd0bc449d7

Comment 8 Fedora Update System 2018-02-14 17:01:42 UTC
konversation-1.5.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.